import { DesignPriceCalculatorRuleBased } from '../../../../libs/pricingRuleBase/DesignPriceCalculatorRuleBased';
import { Item } from '../models';
import { Integration, PlatformAttributeSelection } from './Integration';
export default class MerchantIntegrationGeneric implements Integration {
    private readonly callbacks;
    private messageIds;
    private pricingCalculator;
    constructor();
    addToCart(composition: any, design: any, model: any, attributes: PlatformAttributeSelection[], designItems: Item[], quantity: number, additionalProperties: any, shopifyNFTPrice: number): void;
    getPrice(composition: any, design: any, model: any, attributes: any, compositionPrice: any, isCustomPricingConfiguratorEnabled: any, isCustomPricingRuleBasedEnabled: any, quantity: number): Promise<number>;
    getSharedCompositionUrl(compositionDocID: string): Promise<{
        url: string;
    }>;
    close(): void;
    setPricingCalculator(pricingCalculator: DesignPriceCalculatorRuleBased): void;
}
